#!/bin/sh

KEY_DIR="/etc/keys"
GENKEY=x509_evm.genkey

cat << __EOF__ >$KEY_DIR/$GENKEY
[ req ]
default_bits = 1024
distinguished_name = req_distinguished_name
prompt = no
string_mask = utf8only
x509_extensions = myexts

[ req_distinguished_name ]
O = `hostname`
CN = `whoami` signing key
emailAddress = `whoami`@`hostname`

[ myexts ]
basicConstraints=critical,CA:FALSE
keyUsage=digitalSignature
subjectKeyIdentifier=hash
authorityKeyIdentifier=keyid
__EOF__

openssl req -x509 -new -nodes -utf8 -sha1 -days 36500 -batch -config $KEY_DIR/$GENKEY \
		-outform DER -out $KEY_DIR/x509_evm.der -keyout $KEY_DIR/privkey_evm.pem

openssl rsa -pubout -in $KEY_DIR/privkey_evm.pem -out $KEY_DIR/pubkey_evm.pem

